## org.sqlite
Class JDBC

    java.lang.Object
      org.sqlite.JDBC

All Implemented Interfaces:
  Driver

    public class JDBC

extends Object
implements Driver

Constructor Summary
`JDBC()`

Method Summary
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`boolean` `jdbcCompliant()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBC

    public JDBC()

Method Detail

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `Driver`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `Driver`

### jdbcCompliant

    public boolean jdbcCompliant()

  Specified by:
    `jdbcCompliant` in interface `Driver`

### acceptsURL

    public boolean acceptsURL(String url)

  Specified by:
    `acceptsURL` in interface `Driver`

### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

  Specified by:
    `getPropertyInfo` in interface `Driver`
  Throws:
    `SQLException`

### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

  Specified by:
    `connect` in interface `Driver`
  Throws:
    `SQLException`

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.